﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head><title>Password Management and Step-Up Authentication FAQ</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Password Management and Step-Up Authentication FAQ</h1>
        <p>This guide encompasses the frequently asked questions in the password management and step-up authentication areas. It consists of the following:</p>
        <h2 id="PasswordManagementandStep-UpAuthenticationFAQ-Overview">Overview</h2>
        <p>IGA provides a centralized password management system for managing both user and account passwords with the help of configurable password policies. IGA also provides an elevated authentication mechanism called Step-up authentication for certain high-risk actions to ensure users are who they claim to be. The Step-up authentication can also be used as a password recovery mechanism. While the <MadCap:xref href="Password-Management.htm">Managing Passwords</MadCap:xref> covers password management and Step-up authentication capabilities in good detail, this section has been carefully crafted to answer commonly asked questions about these functionalities.</p>
        <h2 id="PasswordManagementandStep-UpAuthenticationFAQ-Scope">Scope</h2>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>What are the different types of passwords managed by IGA?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>In IGA, passwords are assigned to users, target application accounts, and service accounts. All these passwords are managed by IGA.</p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>Does IGA manage passwords when it acts as a Service Provider in a single sign-on setup?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>Yes. In a single sign-on (SSO) setup where authentication is provided by an external Identity Provider, IGA can be used to initiate the password change/reset and those changes can be synchronized to the Identity Provider’s authentication datastore.</p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>What are the different types of operations supported for the passwords managed by IGA?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>The following operations are supported for the passwords managed by IGA:</p>
                <ol>
                    <li>
                        <p>Change&#160;your own&#160;password</p>
                    </li>
                    <li>
                        <p>Change your forgotten&#160;password. Requires you to set&#160;up&#160;any of the supported&#160;password recovery methods.</p>
                    </li>
                    <li>
                        <p>Reset user password.&#160;When end users forget their passwords and&#160;reach&#160;admininstrators or Helpesk&#160;personnel&#160;to reset their passwords, they are provided a temporary&#160;login&#160;password.</p>
                    </li>
                    <li>
                        <p>Change&#160;your&#160;account passwords&#160;for target application accounts.</p>
                    </li>
                    <li>
                        <p>Reset account password for others.&#160;When end users forget their account passwords&#160;and reach out to&#160;service&#160;desk, manager,&#160;or any other user&#160;who has the permission&#160;to reset account passwords of other users.</p>
                    </li>
                    <li>
                        <p>Change service account password.&#160;Service account owners and administrator users can change the service account passwords belonging to target applications.</p>
                    </li>
                </ol>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>Does IGA support out-of-the-box Step-up authentication?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>Yes, Saviynt supports out-of-the-box Step-up authentication via email and SMS-based one time passwords and configurable security questions and answers (also known as Knowledge based authentication (KBA)).</p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot>Is it possible to extend the step-up authentication capability to external OTP providers?</MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>You can integrate IGA with external OTP providers for email and SMS-based one-time passwords. These external providers must expose their REST APIs to send one-time passwords to end users and validate them. In this integration, the end user information must be available with the external OTP provider.</p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <h2 id="PasswordManagementandStep-UpAuthenticationFAQ-UserPasswords">User Passwords</h2>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>Can Saviynt be used as authentication source?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>Yes, you can use IGA’s database to authenticate users.</p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>What is the first pre-requisite to able to change user passwords in IGA?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>User scope password policy should be defined. Unless this is configured, you won’t be able to perform a user password change.</p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>From where are user passwords changed/reset IGA?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>Self password changes can be performed from the following locations:<br />i. <strong>Profile Menu &gt; Change Password</strong><br />ii. Forgot Password</p>
                <p>Admin or Helpdesk assisted password recovery can be performed from the following locations:<br />i. <strong>Admin function &gt; Reset Password</strong><br />ii. <strong>Change Password tile</strong> on Request Home Page &gt;<strong> Reset user password</strong></p>
                <p>In addition, you can use the change password API to change a user’s password.</p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>Is Step-up authentication supported when a user is already logged into IGA and changes self password?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>Yes. Step-up authentication can be configured for end users when they are logged-in to the application and they can change their password from the Profile menu. The Step-up authentication methods that can be used are: Email-based OTP, SMS-based OTP, and Knowledge-based Authentication (KBA that means Security Questions and Answers).</p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>Does IGA support sending user password change or password reset notifications to end users?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>Yes. To do this, configure the email template in the <strong>Reset Password Notification</strong> field of the USER scope password policy. The emails can be configured to be sent to end users and their managers.</p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>Can you change your IGA password if you have forgotten it?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>Yes. In case of a forgotten password, provide your username in the Login screen of the application and click the <strong>Forgot Password</strong> link to change your password.</p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>In what ways can you configure IGA to verify the identity of end users while a password is being changed using the Forgot Password option?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>IGA supports verification of end users through the following methods:</p>
                <ul>
                    <li>
                        <p>Email-based OTP</p>
                    </li>
                    <li>
                        <p>SMS-based OTP</p>
                    </li>
                    <li>
                        <p>Knowledge-based Authentication (Security Questions and Answers)</p>
                    </li>
                </ul>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>If password recovery method is not configured for the Forgot Password method in Global Configurations &gt; Step-up Authentication, does it mean that end users do not need to verify themselves before changing their passwords using the Forgot Password link?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>If verification method is not configured for the Forgot Password method, users still need to verify themselves by answering the pre-configured security questions. If security questions and answers are not set, users must reach out to the Helpdesk to reset their passwords.</p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>Can you configure IGA to synchronize the new password to target endpoints that an end user has changed using the Forgot Password link?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>Yes. You must configure the endpoints where you want to synchronize the new password to from <strong>Global Configurations &gt; Tasks &gt; Endpoints to Synchronize Password for Self.</strong></p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>Can you lock out users for some configured time if they provide incorrect password during authentication?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>This capability is not yet available in IGA.</p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>Can you use Step-up authentication while authenticating to IGA when IGA is the authentication source?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>No. Step-up authentication is still not supported during the login process.</p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <h2 id="PasswordManagementandStep-UpAuthenticationFAQ-AccountPasswords">Account Passwords</h2>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>From where can you change or reset account passwords in IGA?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>Account passwords are changed from the Change Password tile on the Request Home page. <br />To change passwords of your own accounts, use the <strong>Change Account password for Self</strong> option.<br />To reset account passwords for other users, use the <strong>Reset Account Password for Others</strong> option.<br />To change passwords of service accounts, use the <strong>Change Password for Service Accounts</strong> option.</p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>Why don’t the endpoints associated with the accounts show up when an account password is changed or reset?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>Check if the password policy is configured in the security system associated with the endpoints. The password policy is configured in <strong>Policy Rule</strong>. This configuration is mandatory to make the endpoint accounts eligible for password change.</p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>Can I control the display of Unlock &amp; Change Password options for specific users on the Change Password for Others tile?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>Yes. This is controlled via the SAV Role. While enabling the <strong>Change Password</strong> tile, you can separately select Change Password and Unlock options. For example, if you want users to only have access to unlocking their own accounts, select <strong>Unlock Account for Self</strong>.</p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>Can I control the list of users for whom specific users can reset the account passwords?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>Yes. This is configured from the <strong>SAV Role &gt; Whom to Request</strong> option.</p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot>I have received a call to reset the account password for a user. Is there a way to verify that I am resetting the account password for the correct user?</MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>You must enable Step-up authentication for verifying the beneficiary user. This requires you to configure the verification methods for <strong>Reset Account Password for Others - Verify Beneficiary</strong> configuration from Global Configurations. The supported verification methods are: Email-based OTP, SMS-based OTP, and Knowledge-based Authentication (Security Questions and Answers).</p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>I have some accounts for an endpoint for which passwords must not be changed, but I should have an option to unlock them in case they are locked. Is this possible?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>The <strong>Config For AllowChangePassword</strong> configuration provides the capability to filter accounts belonging to endpoints for which you need to change or reset passwords. Therefore, you must write a query to filter password-never-expiring accounts. Although these accounts are displayed in the Change Password screen, only the <strong>Unlock</strong> option isavailable for them.</p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>My organization doesn’t want to show suggested password to end users when they change or reset their passwords.</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>To hide the suggested password from end users, deselect the <strong>Show Suggested Password</strong> configuration from <strong>Global Configurations &gt; Preferences</strong>. Alternatively, do not configure any Regex expression in the password policy which in turn disables the suggested password option.</p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>Can I send notifications to end users informing them of the upcoming password expiration for their accounts?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>The out of the box (OOTB) Analytics control and the OOTB email template work together to create and send these notifications to end users. If users have multiple accounts and their passwords are about to expire, they will receive a single email with information about all the accounts. The number of days prior to which these emails should be sent is configured from <strong>Global Configurations &gt; Preferences &gt; Days to notify before account password expires</strong>.</p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <h2 id="PasswordManagementandStep-UpAuthenticationFAQ-ServiceAccountPasswords">Service Account Passwords</h2>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>Why does not my service account show up during service account password management?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>Check if the password policy for service accounts is configured in the security system associated with the endpoints. The password policy is configured in <strong>Policy Rule Service Account</strong> and to make the service accounts associated with an endpoint eligible for password change, this configuration is mandatory.</p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>How to enable access to the Change Password for Service accounts?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>In <strong>SAV Role</strong> &gt; <strong>Create Request Home Option</strong> &gt; <strong>Select Change Password Options</strong> select at least any of these 2 options:</p>
                <ul>
                    <li>
                        <p>Change Password for Service Account</p>
                    </li>
                    <li>
                        <p>Unlock Account for Service Account</p>
                    </li>
                </ul>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>I want users of a specific SAV Role to have access to unlocking service accounts only. They should not be able to reset the passwords. Is it possible to configure this?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>To configure this, go to the <strong>SAV Role</strong> &gt; <strong>Create Request Home Option</strong> &gt; <strong>Select Change Password Options</strong> and select the <strong>Unlock Account for Service Account</strong> option, but don’t select the <strong>Change Password for Service Account</strong> option</p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>I have access to Service Account Change Password and the password policy is assigned. Why am I still not able to see any service accounts listed here. Why?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>Having access to service account change password option does not provide you permission to see all the service accounts. Users with the ROLE_ADMIN role can see all service accounts. <br />Otherwise, you can only see the service accounts owned by you. Users who are not assigned the ROLE_ADMIN role or do not own service accounts cannot see them.</p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>Can I send notifications to end users informing them of the upcoming password expiration for their owned service accounts?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>The OOTB Analytics control and the OOTB email template  work together to create and send these notifications to end users. A single email is sent to the owners of the service accounts with information about all the service accounts owned by them for which passwords are about to expire. The number of days prior to which these emails should be sent is configured from <strong>Global Configurations &gt;</strong><strong>Preferences</strong><strong>&gt;</strong><strong>Days to notify before account password expires</strong>. </p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <h2 id="PasswordManagementandStep-UpAuthenticationFAQ-Admin/HelpdeskPasswordResets">Admin/Helpdesk Password Resets</h2>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>Can end users take assistance from Administrators or Helpdesk to reset their passwords in case no recovery methods are configured for the Forgot Password functionality?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>Yes. End users can seek assistance from administrators or Helpdesk when they forget their passwords. To change or reset end user passwords:</p>
                <ul>
                    <li>
                        <p>Helpdesk personnel use the <strong>Reset User Password</strong> from <strong>Request Home &gt; Change Password</strong> tile.</p>
                    </li>
                    <li>
                        <p>IGA administrators use the reset password functionality from <strong>Admin Function</strong>.</p>
                    </li>
                </ul>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>Is there a way to control the access of specific users to the Reset User Password option?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>The Reset User Password option can be enabled or disabled for a user from the user’s <strong>SAV Role &gt; Create Request Home Option &gt; Select Change password options</strong>.</p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>Is there a way to control access to the Admin function capability in IGA?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>Access to the Admin function functionality is managed from SAV Role. To provide this access, the corresponding access must be associated in the SAV Role.</p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>A Helpdesk user has received a call to reset password for a particular user. How can the Helpdesk user verify if the password is being reset for the correct user?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>To do this, use the Step-up authentication and configure it to verify the beneficiary user. Navigate to Global Configurations and configure the verification methods for <strong>Reset User Password for Others - Verify Beneficiary</strong> configuration. The supported verification methods are: Email-based OTP, SMS-based OTP, and Knowledge-based Authentication (Security Questions and Answers).</p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>Can I control the list of users for whom the Helpdesk can reset password for?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>The list of users for whom the Helpdesk can reset passwords is defined in the <strong>SAV Role &gt; Whom to Request</strong> option.</p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>My organization is not using Step-up authentication and we want to verify the users who call us based on their profile. How can I configure which details of the calling users to make visible to the Helpdesk users?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>In this case, you can configure the <strong>Primary</strong><strong>Identification attributes</strong> and <strong>Secondary Identification attributes</strong> and use them to validate the identity of the calling user. This configuration is available in the USER scope password policy.</p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>My organization wants the Helpdesk provided passwords compliant to a certain password policy. Can it be done?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>All the Helpdesk password changes are validated against the parameters of the USER scope password policy. You can configure all such password requirements in this policy.</p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot>Is the password provided by the Helpdesk validated against the blacklist password dictionary?</MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>Yes, because the passwords provided by the Helpdesk adhere to the USER scope password policy. If your password policy has the blacklist password dictionary feature enabled, it is automatically applied to the passwords.</p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>When the password is reset by the Helpdesk, the Suggested Password tab is displayed. Is it possible to hide it?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>To do this, go to <strong>Global Configurations &gt; Preferences</strong> and deselect the <strong>Show Suggested Password</strong> configuration. Alternatively, do not configure any Regex expression in the password policy which in turn disables the suggested password option.</p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>The Helpdesk has set a new password for the user who called in for password reset assistance. How can this password be sent to the calling user?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>To do this, configure an email template in the <strong>Reset Password notification</strong> in the USER scope password policy. If no email template is configured, the password can be shared over phone or email.</p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>The Helpdesk has set a new password for me. Do I need to set a new password again after I log in to the application?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>Yes, you need to. As soon as you log in to the application with the Helpdesk provided password, you are prompted to set a new password for yourself.</p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>Is the Helpdesk provided password temporary? How long is it valid?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>Yes, the Helpdesk provided password is temporary. On your first login with this password, you are prompted to change it to a self-preferred password.</p>
                <p>The Helpdesk provided password is valid till your first login. There is no specific timeline for its expiry.</p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>Do I need to set the security questions again after logging in with the Helpdesk provided password? Is this configurable?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>Yes, you need to.</p>
                <p>This behavior is controlled by the <strong>Set Security Questions on Login</strong> configuration from <strong>Global Configurations &gt; Preferences</strong>. When it is enabled, you need to set your security questions on every first login after the password is reset by the Helpdesk.</p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>My organization uses an external LDAP authentication instead of IGA. Is there a way to synchronize the Helpdesk provided password to the datastore of my external authentication system?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>Yes, this is accomplished by configuring an endpoint to connect to the external LDAP datastore. The same endpoint must also be configured in <strong>Global Configurations &gt; Tasks &gt; Endpoints to Synchronize Password for Others</strong>.</p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>My organization uses another application as an authentication source instead of IGA. Is there a way to synchronize the Helpdesk provided password to the datastore of my Identity Provider?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>Yes, this is accomplished by configuring an endpoint to connect to the datastore of the Identity Provider. The same endpoint must also be configured in <strong>Global Configurations &gt; Tasks &gt; Endpoints to Synchronize Password for Others.</strong></p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <h2 id="PasswordManagementandStep-UpAuthenticationFAQ-PasswordPolicy">
            <br />Password Policy</h2>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>Which password policy comes to action during a user password change or reset operation?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>To change or reset user passwords in IGA, at least one password policy with <strong>USER scope</strong> must be available in IGA. This policy is invoked when a user password change or reset is initiated.<br />Note that only one password policy can be configured with USER scope.</p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>What are the different types of password policies?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>The password policies can be classified into two categories based on their scope:</p>
                <p>i. USER scope – Password policies with USER scope are invoked when user passwords are reset or changed or when account passwords are changed (from <strong>Change Password &gt; Change Account Password for Self/Reset Account Password for Others</strong> on <strong>Request Home</strong>) using the Global Change Password option.<br />Note that this password policy can also be used for your target applications. Only one USER scope password policy can be configured in IGA.</p>
                <p>ii. APPLICATION scope – Password policies with APPLICATION scope are assigned only to applications and cannot be used to validate passwords when users’ passwords are changed.</p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>Where is the password policy assigned for an application?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>The password policy for your target applications is assigned in <strong>Security System &gt; Policy Rule</strong>. This is applicable for all the accounts belonging to the endpoints associated with the security system except the service accounts.</p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot>Can you assign a separate password policy for service accounts?</MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>Yes, you can assign a separate password policy for the service accounts of your target applications in <strong>Security System &gt; Policy Rule Service Account.</strong></p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>Which password policy comes into action when multiple account passwords are changed or reset using Global Change/Reset Password option?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>The password policy defined with USER scope is invoked in this scenario.<img src="../Resources/Images/psswdpolicy.png" /></p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>Which password policy comes into action when account password is changed/reset using the account level individual change/reset password option?</strong>
                    <br />
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>The password policy defined at <strong>Security System &gt; Policy Rule</strong> is invoked in this scenario.<img src="../Resources/Images/resetpswd.png" style="width: 550px;" /></p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>Can you blacklist certain words from being used in passwords? How is it configured?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>Yes, your organization can a create a customized blacklist dictionary and configure the password policy to disallow passwords containing words from this dictionary. Blacklist dictionary is nothing but a text file containing the words that must be prevented from use in passwords. It looks like below:</p>
                <p>
                    <img src="../Resources/Images/blacklist1.png" />
                    <br />
                </p>
                <p>Locate the file and provide its path in the externalconfig.properties file. For example, <strong>blacklistdictionaryPath.statickeywords=C:/Saviynt/passwords/blacklist.txt</strong></p>
                <p>As a last step, set <strong>Use Blacklist Dictionary</strong> to <strong>YES</strong> in the password policy.<img src="../Resources/Images/blacklistdictionary.png" /></p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>Can you blacklist user or account information from being used in passwords?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>Yes. You can prevent users from using their user or account information from <strong>Password Policy &gt; Blacklisted attribute.</strong></p>
                <p><strong><img src="../Resources/Images/blacklistattribute.png" /></strong>
                </p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>If I add new words to the password blacklist dictionary, do I need to restart my application for the changes to take effect?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>Yes, you need to restart your application after modifying the password blacklist dictionary for the changes to take effect.</p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>Can you disallow users from using their previous passwords during future password resets?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>Yes. To do this, configure <strong>Disallow Last Password</strong> in the password policy. A maximum of 25 previous passwords are disallowed. <br />Note that this property will prevent users from using any previous passwords whose change or reset process has been initiated from IGA and not from any target application.</p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>My organization wants user’s passwords to expire after every 90 days and prompt users to change their passwords on their first login after the password expiry. Is it possible to configure this?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>You can do this by setting <strong>Expire After (Days)</strong> in the <strong>USER scope password policy</strong>.  Saviynt provides an OOTB Analytics control that can be scheduled to execute password expiry on a specific day. This control uses the <strong>Password Expired</strong> analytics action to expire the user passwords, following which the users are forced to change their passwords on their first login to the application.</p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>Can I send notifications to end users informing them of their upcoming password expiration?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p> Saviynt provides an OOTB Analytics control and an email template to schedule and send notifications to end users informing them of their upcoming password expiration.</p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <h2 id="PasswordManagementandStep-UpAuthenticationFAQ-SecurityQuestionsandAnswers(KBA)">Security Questions and Answers (KBA)</h2>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>Does IGA provide OOTB security questions?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>Yes, IGA provides two sets of OOTB security questions.</p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>Can you add personalized security questions in IGA?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>Yes, you can either add questions to the existing questionnaire group or create a new questionnaire and add the new questions.</p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>Can you set restrictions on the answers to each security questions? What are those restrictions?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>Yes, administrators can configure to set different restrictions for the answers to security questions. They are:<br />i. Minimum length of the question.<br />ii. The maximum number of characters from the question that can be used in the answer.<br />iii. Use the blacklist dictionary to restrict the usage of certain words in the answers.</p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>Can you reset security questions from IGA?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>Yes. To do this, go to <strong>Profile Menu &gt; Reset Security Questions</strong>.</p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot>My organization wants users to receive an SMS or Email-based Step-Up Authentication before they reset their security questions. How can this be configured?</MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>To configure SMS or Email-based Step Up Authentication for <strong>Reset Security Questions</strong>, go to <strong>Global Configurations &gt; Step Up Authentication.</strong></p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>Does IGA notify end users when answers to security questions are set for the first time?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>This is configured by associating an email template to <strong>Questionnaire Configurations &gt; Security Questions &amp; Answers Email Template.</strong></p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot>Does IGA notify end users when answers to security questions are changed?</MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>This is configured by associating an email template to <strong>Questionnaire Configurations &gt; Security Questions &amp; Answers Email Template.</strong></p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>Every time I log in after Admin or Helpdesk resets my password, I am prompted to reset security questions. How can I control this?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>This can be controlled only by administrators or authorized users who have access to <strong>Global Configurations &gt; Preferences</strong> by disabling <strong>Set Security Questions on Login</strong>.</p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>I don’t want to use Security Questions and Answers for verifying end users during a forgotten password. Where can I change this configuration?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>You can change it by configuring SMS or Email as the verifying method from <strong>Global Configurations &gt; Step-up Authentication &gt; Forgot Password</strong>. By doing this, end users will not have to rely on security questions during a forgotten password scenario.</p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>Can you configure to lock users after they provide incorrect responses to security questions?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>Yes, this is controlled by using the following properties in the <strong>externalconfig.properties</strong> file:</p>
                <ul>
                    <li>
                        <p><strong>user.lockout.count.threshold</strong>: Defines the number of incorrect retries before the user is locked.</p>
                    </li>
                    <li>
                        <p><strong>user.lockout.time.threshold</strong>: Defines the time in seconds after which the user is locked.</p>
                    </li>
                </ul>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>Does IGA support security questions in other languages?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>Saviynt supports creating security questions in other languages that are configured in <strong>Global Configurations &gt; Preferences &gt; Languages supported</strong>. While creating a question, you can save it in multiple languages at the same time.</p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>Can you import security questions through Transport?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>This capability is not yet present in IGA.</p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <h2 id="PasswordManagementandStep-UpAuthenticationFAQ-Step-upAuthentication">Step-up Authentication</h2>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot>Does IGA support Step-up authentication for specific operations?</MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>Yes, IGA supports Step-up authentication or verification for the following password management specific operations:</p>
                <ul>
                    <li>
                        <p>Forgot Password</p>
                    </li>
                    <li>
                        <p>Change Password (when user changes password from Profile Menu)</p>
                    </li>
                    <li>
                        <p>Reset Security Questions</p>
                    </li>
                    <li>
                        <p>Change Account Password for Self Reset Account Password for Others (Step-up authentication for the logged in user and verification for the beneficiary user)</p>
                    </li>
                    <li>
                        <p>Reset User Password (Step-up authentication for the logged in user and verification for the beneficiary user)</p>
                    </li>
                </ul>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>What are the different methods for Step-up authentication and verification?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>Currently, the following methods are supported:<br />i. SMS-based OTP<br />ii. Email-based OTP<br />iii. Answer pre-configured security questions</p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown MadCap:conditions="Default.v55X">
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>Which application is the OTP provider? Can you use IGA to manage it?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>You can use IGA as the OTP provider and manage the lifecycle of OTPs. We are looking forward to provide the capability integrate external OTP providers that expose REST APIs in the upcoming versions.</p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>Can you manage the length and duration of OTPs?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>Yes, you can set the length and duration of the OTP from <strong>Global Configurations &gt; Step Up Authentication</strong>. The <strong>OTP Token Length</strong> and <strong>OTP Token Validity </strong>needs to be configured accordingly.</p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>What steps are needed for enabling SMS-based OTP?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>The following steps are needed:</p>
                <ul>
                    <li>
                        <p>Find an SMS Gateway that supports REST APIs for sending SMS to users.</p>
                    </li>
                    <li>
                        <p>Create a REST connector for connecting to the SMS Gateway that you identified in Step 1.</p>
                    </li>
                    <li>
                        <p>Configure the <strong>ConnectionJson</strong> and <strong>SendOTPJson </strong>parameters for the REST connector.</p>
                    </li>
                </ul>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>Does IGA provide an out-of-the-box SMS Gateway?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>No, IGA does not provide any out-of-the-box SMS Gateway. If you want to use an external SMS Gateway, it must support the REST service.</p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>What do you need to configure to enable Email-based OTP?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>Make sure the SMTP configurations are enabled and Email template is configured in <strong>Global Configurations &gt; Step Up Authentication &gt;</strong><strong>OTP Delivery Template(Email).</strong></p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <h2 id="PasswordManagementandStep-UpAuthenticationFAQ-PasswordSynchronization">Password Synchronization</h2>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>Can you synchronize the user password to the target application accounts?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>When user passwords are changed or reset, the new passwords can be synchronized to the target applications.<br />A self-initiated user password change from <strong>Profile Menu &gt; Change password</strong> or <strong>Forgot Password</strong> can be synchronized to the target endpoints configured in <strong>Global Configuration &gt; Tasks &gt; Endpoints to Synchronize Password for Self.</strong><br />Helpdesk or admin-initiated user password reset from <strong>Admin Function</strong> or the <strong>Change Password tile (Request Homepage) &gt; Reset User password</strong> can be synchronized to the target endpoints configured in <strong>Global Configuration &gt; Tasks &gt; Endpoints to Synchronize Password for Others</strong>.</p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>Is it possible to synchronize a password changed in a connected Active Directory back to IGA?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>Yes, you can synchronize a password changed in a connected Active Directory back to IGA and also to other connected applications using Reverse Password Sync filter.</p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <h2 id="PasswordManagementandStep-UpAuthenticationFAQ-SingleSignOn">Single Sign On</h2>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>Does IGA support authentication from an external SSO Identity Provider. If yes, then where is it configured?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>Yes, You can use IGA in an SSO setup where Identity Providers like Okta, Ping, and so on are used. <br />In SSO setup, the Identity Providers provide authentication to users based on other external datastores like Active Directory, LDAP directories, or other databases. This configuration is defined in the AuthenticationConfig.groovy file.</p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>In an SSO setup, can I use IGA’s Forgot Password link on the Identity Provider’s login page to change the password? If yes, how is the password synchronized to the IDP’s authentication datastore?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>To achieve this, embed the IGA’s Forgot Password link <a href="http://localhost:9090/ECM/maintenance/forgotpassword" class="external-link" rel="nofollow">ECM/maintenance/forgotpassword</a> on the Identity Provider’s login page to reset a new password for IGA and synchronize the password to Identity Provider’s authentication datastore.<br />This requires you to have an endpoint connected to the Identity Provider’s datastore. The endpoint is configured using the <strong>Endpoints to synchronize password for Self</strong> configuration.</p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>In an SSO setup where IGA is the Service Provider, can you use IGA as the password management solution?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>Yes, although IGA is not the Identity Provider in an SSO setup, you can use it as the password management solution. User password changes initiated by end-users for themselves or Helpdesk can be synchronized to the datastore to which the Identity Provider authenticates the users.<br />The following configurations are needed to accomplish this:</p>
                <ul>
                    <li>
                        <p>Endpoints to synchronize password for Self</p>
                    </li>
                    <li>
                        <p>Endpoints to synchronize password for Others</p>
                    </li>
                </ul>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>When a user’s password expires, is the user prompted to set a new password on login when SAML2.0 authentication is in place?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>Yes, users are forced to set a new password on login.<br /></p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <h2 id="PasswordManagementandStep-UpAuthenticationFAQ-ExternalLDAPAuthentication">External LDAP Authentication</h2>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>Does IGA support external authentication other than using it for SSO. If yes, where is it configured?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>Yes, external LDAP directories like Active Directory, OpenDJ, and so on can be used to authenticate users. This configuration is defined in the <strong>AuthenticationConfig.groovy</strong> file.</p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>When a user’s password expires, is the user prompted to set a new password on login when an external LDAP authentication is in place?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p>Yes, users are forced to set a new password on login.</p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
    </body>
</html>